SystemOrganization addCategory: #ConfigurationOfMyFirstWebApp!

Object subclass: #ConfigurationOfMyFirstWebApp
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMyFirstWebApp'!

!ConfigurationOfMyFirstWebApp class methodsFor: 'development support' stamp: 'GermanArduino 4/9/2015 08:16'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfMyFirstWebApp class methodsFor: 'private' stamp: 'GermanArduino 4/9/2015 08:16'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfMyFirstWebApp class methodsFor: 'private' stamp: 'GermanArduino 4/9/2015 08:16'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfMyFirstWebApp class methodsFor: 'private' stamp: 'GermanArduino 4/9/2015 08:16'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfMyFirstWebApp class methodsFor: 'metacello tool support' stamp: 'GermanArduino 4/9/2015 08:16'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMyFirstWebApp class methodsFor: 'loading' stamp: 'GermanArduino 4/9/2015 08:16'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfMyFirstWebApp class methodsFor: 'loading' stamp: 'GermanArduino 4/9/2015 08:16'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfMyFirstWebApp class methodsFor: 'loading' stamp: 'GermanArduino 4/9/2015 08:16'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfMyFirstWebApp class methodsFor: 'accessing' stamp: 'GermanArduino 4/9/2015 08:16'!
project

	^self new project! !

!ConfigurationOfMyFirstWebApp class methodsFor: 'development support' stamp: 'GermanArduino 4/9/2015 08:16'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfMyFirstWebApp methodsFor: 'as yet unclassified' stamp: 'GermanArduino 4/9/2015 08:25'!
baseline1: spec
  <version: '1-baseline'>
  spec for: #common do: [
    spec 
      blessing: #baseline;
      repository: 'http://ss3.gemstone.com/ss/MyFirstWebApp';
      package: 'MyFirstWebApp' ]! !

!ConfigurationOfMyFirstWebApp methodsFor: 'accessing' stamp: 'GermanArduino 4/9/2015 08:16'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfMyFirstWebApp methodsFor: 'accessing' stamp: 'GermanArduino 4/9/2015 08:16'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfMyFirstWebApp methodsFor: 'as yet unclassified' stamp: 'GermanArduino 4/9/2015 08:26'!
stable: spec
  <symbolicVersion: #'stable'>
  spec for: #common version: '1'! !

!ConfigurationOfMyFirstWebApp methodsFor: 'as yet unclassified' stamp: 'GermanArduino 4/9/2015 08:26'!
version1: spec
  <version: '1' imports: #('1-baseline')>
  spec for: #common do: [
    spec
      blessing: #release;
      package: 'MyFirstWebApp' with: 'MyFirstWebApp-GermanArduino.1' ]! !
